org.apache.commons.math3.linear

## Class RealVector.Entry

- java.lang.Object
- - org.apache.commons.math3.linear.RealVector.Entry

Direct Known Subclasses:
  OpenMapRealVector.OpenMapEntry

Enclosing class:
  RealVector

    protected class RealVector.Entry
    extends java.lang.Object

An entry in the vector.

### Field Summary

Fields
`private int` `index` Index of this entry.

### Constructor Summary

Constructors
Constructor and Description
`RealVector.Entry()` Simple constructor.

### Method Summary

Methods
`int` `getIndex()` Get the index of the entry.
`double` `getValue()` Get the value of the entry.
`void` `setIndex(int index)` Set the index of the entry.
`void` `setValue(double value)` Set the value of the entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### index

    private int index

Index of this entry.

### Constructor Detail

#### RealVector.Entry

    public RealVector.Entry()

Simple constructor.

### Method Detail

#### getValue

    public double getValue()

Get the value of the entry.

Returns:
  the value of the entry.

#### setValue

    public void setValue(double value)

Set the value of the entry.

Parameters:
  `value` - New value for the entry.

#### getIndex

    public int getIndex()

Get the index of the entry.

Returns:
  the index of the entry.

#### setIndex

    public void setIndex(int index)

Set the index of the entry.

Parameters:
  `index` - New index for the entry.